package issues;

import org.springframework.beans.factory.annotation.Required;

class Alice {
	private String location;

	@Required
	public void setLocation(String location) {
		this.location = location;
	}

	public String getLocation() {
		return location;
	}

	@Override
	public String toString() {
		return "{name=[alice], location=[" + location + "]}";
	}
}